signconf.h File Reference
`#include <ldns/ldns.h>`
`#include <time.h>`
`#include "scheduler/task.h"`
`#include "status.h"`
`#include "duration.h"`
`#include "signer/keys.h"`
`#include "signer/nsec3params.h"`

Go to the source code of this file.

## Data Structures

struct | signconf_struct

## Typedefs

typedef struct signconf_struct | signconf_type

## Functions

signconf_type * | signconf_create (void)
ods_status | signconf_update (signconf_type **signconf, const char *scfile, time_t last_modified)
void | signconf_backup (FILE *fd, signconf_type *sc, const char *version)
ods_status | signconf_check (signconf_type *signconf)
task_id | signconf_compare_denial (signconf_type *a, signconf_type *b)
void | signconf_log (signconf_type *sc, const char *name)
void | signconf_cleanup (signconf_type *sc)

## Typedef Documentation

## signconf_type

typedef struct signconf_struct signconf_type

Definition at line 33 of file signconf.h.

## Function Documentation

## signconf_backup()

void signconf_backup | ( | FILE * | fd,
|  | signconf_type * | sc,
|  | const char * | version
| ) |  |

Backup signer configuration.

Parameters

  [in] | fd | file descriptor
  [in] | sc | signer configuration settings
  [in] | version | version string

Backup signconf values.

Definition at line 214 of file signconf.c.

References signconf_struct::dnskey_ttl, signconf_struct::last_modified, signconf_struct::nsec_type, signconf_struct::sig_inception_offset, signconf_struct::sig_jitter, signconf_struct::sig_refresh_interval, signconf_struct::sig_resign_interval, signconf_struct::sig_validity_default, signconf_struct::sig_validity_denial, signconf_struct::sig_validity_keyset, signconf_struct::soa_min, signconf_struct::soa_serial, and signconf_struct::soa_ttl.

Referenced by zone_backup2().

## signconf_check()

ods_status signconf_check | ( | signconf_type * | sc | ) |

extern

Check signer configuration.

Parameters

  signconf | signer configuration

Returns
  ods_status status

Check signer configuration settings.

Definition at line 275 of file signconf.c.

References keylist_struct::count, signconf_struct::dnskey_ttl, signconf_struct::keys, signconf_struct::nsec3_algo, signconf_struct::nsec_type, signconf_struct::passthrough, signconf_struct::sig_inception_offset, signconf_struct::sig_jitter, signconf_struct::sig_refresh_interval, signconf_struct::sig_resign_interval, signconf_struct::sig_validity_default, signconf_struct::sig_validity_denial, signconf_struct::soa_min, signconf_struct::soa_serial, and signconf_struct::soa_ttl.

Referenced by signconf_update().

## signconf_cleanup()

void signconf_cleanup | ( | signconf_type * | sc | ) |

extern

Clean up signer configuration.

Parameters

  [in] | sc | signconf to cleanup

Clean up signer configuration.

Definition at line 470 of file signconf.c.

References signconf_struct::dnskey_ttl, signconf_struct::filename, keylist_cleanup(), signconf_struct::keys, signconf_struct::max_zone_ttl, signconf_struct::nsec3_salt, signconf_struct::nsec3params, nsec3params_cleanup(), signconf_struct::sig_inception_offset, signconf_struct::sig_jitter, signconf_struct::sig_refresh_interval, signconf_struct::sig_resign_interval, signconf_struct::sig_validity_default, signconf_struct::sig_validity_denial, signconf_struct::sig_validity_keyset, signconf_struct::soa_min, signconf_struct::soa_serial, and signconf_struct::soa_ttl.

Referenced by signconf_update(), tools_signconf(), zone_cleanup(), and zone_recover2().

## signconf_compare_denial()

task_id signconf_compare_denial | ( | signconf_type * | a,
|  | signconf_type * | b
| ) |  |

extern

Compare signer configurations on denial of existence material.

Parameters

  [in] | a | a signer configuration
  [in] | b | another signer configuration

Returns
  task_id what task needs to be scheduled

Compare signer configurations on denial of existence material.

Definition at line 355 of file signconf.c.

References signconf_struct::nsec3_algo, signconf_struct::nsec3_iterations, signconf_struct::nsec3_optout, signconf_struct::nsec3_salt, signconf_struct::nsec3param_ttl, signconf_struct::nsec_type, and signconf_struct::soa_min.

Referenced by tools_signconf().

## signconf_create()

signconf_type * signconf_create | ( | void |  | ) |

extern

Create a new signer configuration with the 'empty' settings.

Returns
  signconf_type* signer configuration

Create a new signer configuration with the 'empty' settings.

Definition at line 47 of file signconf.c.

References signconf_struct::dnskey_signature, signconf_struct::dnskey_ttl, signconf_struct::filename, signconf_struct::keys, signconf_struct::last_modified, signconf_struct::max_zone_ttl, signconf_struct::nsec3_algo, signconf_struct::nsec3_iterations, signconf_struct::nsec3_optout, signconf_struct::nsec3_salt, signconf_struct::nsec3param_ttl, signconf_struct::nsec3params, signconf_struct::nsec_type, signconf_struct::passthrough, signconf_struct::sig_inception_offset, signconf_struct::sig_jitter, signconf_struct::sig_refresh_interval, signconf_struct::sig_resign_interval, signconf_struct::sig_validity_default, signconf_struct::sig_validity_denial, signconf_struct::sig_validity_keyset, signconf_struct::soa_min, signconf_struct::soa_serial, and signconf_struct::soa_ttl.

Referenced by signconf_update(), zone_create(), and zone_recover2().

## signconf_log()

void signconf_log | ( | signconf_type * | sc,
|  | const char * | name
| ) |  |

extern

Log signer configuration.

Parameters

  [in] | sc | signconf to log
  [in] | name | zone name

Log sign configuration.

Definition at line 388 of file signconf.c.

References signconf_struct::dnskey_ttl, keylist_log(), signconf_struct::keys, signconf_struct::nsec3_algo, signconf_struct::nsec3_iterations, signconf_struct::nsec3_optout, signconf_struct::nsec3_salt, signconf_struct::nsec3param_ttl, signconf_struct::nsec_type, signconf_struct::passthrough, signconf_struct::sig_inception_offset, signconf_struct::sig_jitter, signconf_struct::sig_refresh_interval, signconf_struct::sig_resign_interval, signconf_struct::sig_validity_default, signconf_struct::sig_validity_denial, signconf_struct::sig_validity_keyset, signconf_struct::soa_min, signconf_struct::soa_serial, and signconf_struct::soa_ttl.

Referenced by tools_signconf().

## signconf_update()

ods_status signconf_update | ( | signconf_type ** | signconf,
|  | const char * | scfile,
|  | time_t | last_modified
| ) |  |

extern

Update signer configuration.

Parameters

  [out] | signconf | signer configuration
  [in] | scfile | signer configuration file name
  [in] | last_modified | last known modification

Returns
  ods_status status

Update signer configuration.

Definition at line 154 of file signconf.c.

References signconf_struct::last_modified, signconf_check(), signconf_cleanup(), and signconf_create().

Referenced by zone_load_signconf().